mdb_dbi_open(3)

NAME
mdb_dbi_open - Database Flags

SYNOPSIS

  Macros

#define MDB_REVERSEKEY 0x02
#define MDB_DUPSORT 0x04
#define MDB_INTEGERKEY 0x08
#define MDB_DUPFIXED 0x10
#define MDB_INTEGERDUP 0x20
#define MDB_REVERSEDUP 0x40
#define MDB_CREATE 0x40000

Detailed Description

Macro Definition Documentation

  #define MDB_REVERSEKEY 0x02
use reverse string keys

  #define MDB_DUPSORT 0x04
use sorted duplicates

  #define MDB_INTEGERKEY 0x08
numeric keys in native byte order: either unsigned int or size_t. The keys must all be of the same size.

  #define MDB_DUPFIXED 0x10
with MDB_DUPSORT, sorted dup items have fixed size

  #define MDB_INTEGERDUP 0x20
with MDB_DUPSORT, dups are MDB_INTEGERKEY-style integers

  #define MDB_REVERSEDUP 0x40
with MDB_DUPSORT, use reverse string dups

  #define MDB_CREATE 0x40000
create DB if not already existing

Author

Generated automatically by Doxygen for LMDB from the source code.